Welcome! Log In Create A New Profile

Advanced

NGINX FPM upgrade

Posted by chewiesw 
NGINX FPM upgrade
July 25, 2023 11:43AM
I am trying to upgrade roundcube from 1.4 (working) to 1.6.2. I am aware that I need to upgrade my PHP version before I upgrade.

Raspberry OS – Buster
NGINX


chew@mail:~ $ php -v
PHP 7.3.31-1~deb10u4 (cli) (built: Jun 19 2023 19:10:11) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.31, Copyright (c) 1998-2018 Zend Technologies
with Zend OPcache v7.3.31-1~deb10u4, Copyright (c) 1999-2018, by Zend Technologies


Roundcube/installer
Checking PHP version
Version: OK(PHP 7.0.33-0+deb9u12 detected)

NGINX
location ~ \.php$ {
try_files $uri =404;
fastcgi_pass unix:/run/php/php7.0-fpm.sock;
fastcgi_index index.php;
fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
include fastcgi_params;

I have downloaded php7.3-fpm and it is running. When I change the nginx fastcgi to : fastcgi_pass unix:/run/php/php7.3-fpm.sock;

I get a HTTP 500 error when I open the roundcube URL.

What have I missed or what am doing wrong?
Re: NGINX FPM upgrade
July 26, 2023 04:35AM
Solved. I re-installed php 7.3 fpm and all of it modules, changed my nginx config and it worked. No HTTTP 500 error.

I must have missed a module the first time.
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 45
Record Number of Users: 8 on April 13, 2023
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready